Skip to main content
GET
/
agents
/
{id}
Get agent by ID
curl --request GET \
  --url https://api.getovra.com/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "ownerId": "<string>",
  "name": "<string>",
  "scope": "<string>",
  "externalId": "<string>",
  "status": "active",
  "cardBalanceEuros": 123,
  "walletBalanceEuros": 123,
  "cardPanMasked": "<string>",
  "policyId": "<string>",
  "cardId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Path Parameters

id
string
required

Response

Agent object

id
string
ownerId
string
name
string
scope
string | null
externalId
string | null
status
enum<string>
Available options:
active,
frozen,
closed
cardBalanceEuros
number
walletBalanceEuros
number
cardPanMasked
string
policyId
string
cardId
string
createdAt
string<date-time>